<?php
/**
 * @package 	WordPress
 * @subpackage 	Magazilla
 * @version 	1.0.3
 * 
 * TGM-Plugin-Activation 2.6.1
 * Created by CMSMasters
 * 
 */

require_once(get_template_directory() . '/framework/class/class-tgm-plugin-activation.php');

if (!function_exists('magazilla_register_theme_plugins')) {

function magazilla_register_theme_plugins() { 
	$plugins = array( 
		array( 
			'name'					=> esc_html__('CMSMasters Contact Form Builder', 'magazilla'), 
			'slug'					=> 'cmsmasters-contact-form-builder', 
			'source'				=> get_template_directory() . '/theme-vars/plugins/cmsmasters-contact-form-builder.zip', 
			'required'				=> false, 
			'version'				=> '1.4.3', 
			'force_activation'		=> false, 
			'force_deactivation' 	=> false 
		), 
		array( 
			'name'					=> esc_html__('CMSMasters Content Composer', 'magazilla'), 
			'slug'					=> 'cmsmasters-content-composer', 
			'source'				=> get_template_directory() . '/theme-vars/plugins/cmsmasters-content-composer.zip', 
			'required'				=> true, 
			'version'				=> '2.2.8', 
			'force_activation'		=> false, 
			'force_deactivation' 	=> false 
		), 
		array( 
			'name'					=> esc_html__('CMSMasters Mega Menu', 'magazilla'), 
			'slug'					=> 'cmsmasters-mega-menu', 
			'source'				=> get_template_directory() . '/theme-vars/plugins/cmsmasters-mega-menu.zip', 
			'required'				=> true, 
			'version'				=> '1.2.7', 
			'force_activation'		=> false, 
			'force_deactivation' 	=> false 
		), 
		array( 
			'name' 					=> esc_html__('LayerSlider WP', 'magazilla'), 
			'slug' 					=> 'LayerSlider', 
			'source'				=> get_template_directory() . '/theme-vars/plugins/LayerSlider.zip', 
			'required'				=> false, 
			'version'				=> '6.7.6', 
			'force_activation'		=> false, 
			'force_deactivation' 	=> false 
		), 
		array( 
			'name' 					=> esc_html__('Revolution Slider', 'magazilla'), 
			'slug' 					=> 'revslider', 
			'source'				=> get_template_directory() . '/theme-vars/plugins/revslider.zip', 
			'required'				=> false, 
			'version'				=> '5.4.8', 
			'force_activation'		=> false, 
			'force_deactivation' 	=> false 
		), 
 		array( 
			'name'					=> esc_html__('Envato Market', 'magazilla'), 
			'slug'					=> 'envato-market', 
			'source'				=> get_template_directory() . '/theme-vars/plugins/envato-market.zip', 
			'required'				=> false, 
			'version'				=> '2.0.0', 
			'force_activation'		=> false, 
			'force_deactivation' 	=> false 
		), 
		array( 
			'name'					=> esc_html__('Cookie Notice', 'magazilla'), 
			'slug'					=> 'cookie-notice', 
			'required'				=> false 
		), 
		array( 
			'name' 					=> esc_html__('Contact Form 7', 'magazilla'), 
			'slug' 					=> 'contact-form-7', 
			'required' 				=> false 
		), 
		array( 
			'name' 					=> esc_html__('WordPress SEO by Yoast', 'magazilla'), 
			'slug' 					=> 'wordpress-seo', 
			'required' 				=> false 
		), 
		array( 
			'name'					=> esc_html__('MailPoet 3', 'magazilla'), 
			'slug'					=> 'mailpoet', 
			'required'				=> false 
		), 
		array( 
			'name'					=> esc_html__('Social Counter for WordPress – AccessPress Social Counter', 'magazilla'), 
			'slug'					=> 'accesspress-social-counter', 
			'required'				=> false 
		), 
		array( 
			'name'					=> esc_html__('Location Weather', 'magazilla'), 
			'slug'					=> 'location-weather', 
			'required'				=> true 
		) 
	);
	
	
	$config = array( 
		'id' => 			'magazilla', 
		'menu' => 			'theme-required-plugins', 
		'strings' => array( 
			'page_title' => 	esc_html__('Theme Required & Recommended Plugins', 'magazilla'), 
			'menu_title' => 	esc_html__('Theme Plugins', 'magazilla'), 
			'return' => 		esc_html__('Return to Theme Required & Recommended Plugins', 'magazilla') 
		) 
	);
	
	
	tgmpa($plugins, $config);
}

}

add_action('tgmpa_register', 'magazilla_register_theme_plugins');

